Bug 449994 - Review Request: lua-expat - SAX XML parser based on the Expat library
Review Request: lua-expat - SAX XML parser based on the Expat library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 12:45 EDT by Tim Niemueller
Modified: 2010-11-07 10:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 19:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2008-06-04 12:45:48 EDT
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-expat.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-expat-1.1-1.fc9.src.rpm
Description: LuaExpat is a SAX XML parser based on the Expat library.

Website: http://www.keplerproject.org/luaexpat/
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=645512
Comment 1 Jason Tibbitts 2008-06-04 14:54:42 EDT
Looks pretty good; only a few of things worth mentioning.

There seems to be at least a small test suite in the tests directory; is it
possible to run it at build time?

There's no need for the explicit build dependency on /usr/bin/iconv; it's part
of glibc so you can expect it to be there, although it doesn't hurt anything.

You should use either $RPM_BUILD_ROOT and $RPM_OPT_FLAGS or %{buildroot} and
%{optflags}; currently they're mixed.  It's not a really big deal in a package
this small but it is explicitly prohibited by the guidelines.

* source files match upstream:
   9d709ddc606630f9b9dc3f3aafcb2a7c1fcb2675000c09978d8a37974e74effd  
   luaexpat-1.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named and is cleanly written.
X specile does not use macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license ("same as lua" == MIT)
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   lxp.so.1.1.0()(64bit)
   lua-expat = 1.1-1.fc10
  =
   libexpat.so.1()(64bit)
   lua >= 5.1

? %check is not present, but there seem to be some tests in the source.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Tim Niemueller 2008-06-05 07:48:12 EDT
(In reply to comment #1)
> Looks pretty good; only a few of things worth mentioning.
> 
> There seems to be at least a small test suite in the tests directory; is it
> possible to run it at build time?

Yes, for this one it is possible. Added %check macro.

> There's no need for the explicit build dependency on /usr/bin/iconv; it's part
> of glibc so you can expect it to be there, although it doesn't hurt anything.

I keep this one as it seems to be the right thing to me.

> You should use either $RPM_BUILD_ROOT and $RPM_OPT_FLAGS or %{buildroot} and
> %{optflags}; currently they're mixed.  It's not a really big deal in a package
> this small but it is explicitly prohibited by the guidelines.

Fixed.

New SRPM at http://fedorapeople.org/~timn/luastuff/lua-expat-1.1-2.fc9.src.rpm,
spec file at the original URL.
Comment 3 Jason Tibbitts 2008-06-05 12:48:01 EDT
This version elicits an additional rpmlint complaint:
  lua-expat.src:60: W: macro-in-%changelog check
You should double percent signs in your %changelog; the result isn't what you
expect because macros are expanded there:
  - Added %check
  unset DISPLAY
   macro to execute tests

Otherwise everything looks fine.  I have to wonder as to your definition as "the
right thing", though; if you're going to have a build dependency on
/usr/bin/iconv, why don't you also have dependencies on, say, gcc or
/usr/bin/make?  But in the end it's your decision.

APPROVED; just escape that macro in the changeloog when you check in.
Comment 4 Tim Niemueller 2008-06-06 03:37:21 EDT
I'm going to fix the changelog entry.

Ok, I see the point and will remove the iconv BR as well.
Comment 5 Tim Niemueller 2008-06-06 03:41:54 EDT
New Package CVS Request
=======================
Package Name: lua-expat
Short Description: SAX XML parser based on the Expat library
Owners: timn
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-06-06 11:45:38 EDT
cvs done.
Comment 7 Tim Niemueller 2008-06-06 19:31:34 EDT
Updates push pending. Thanks for the review, Jason!
Comment 8 Tim Niemueller 2010-11-06 20:16:31 EDT
Package Change Request
======================
Package Name: lua-expat
New Branches: el5 el6
Owners: timn
Comment 9 Jason Tibbitts 2010-11-07 10:40:25 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.